#include <avr/io.h>
#include <util/delay.h>

int main(void) {
    // Initialisiere LED-Pins
    PORTC.DIRSET = PIN1_bm | PIN2_bm;  // PC1 (LED_R) und PC2 (LED_G) als Ausgänge
    PORTC.OUTSET = PIN3_bm;            // PC3 (OE) auf HIGH setzen für Level-Shifter
    
    while (1) {
        // Rote LED ein, grüne LED aus
        PORTC.OUTSET = PIN1_bm;
        PORTC.OUTCLR = PIN2_bm;
        _delay_ms(500);
        
        // Rote LED aus, grüne LED ein
        PORTC.OUTCLR = PIN1_bm;
        PORTC.OUTSET = PIN2_bm;
        _delay_ms(500);
    }
    
    return 0;
}
